"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const md5 = require("md5");
const util = require("util");
function clean(input) {
    return truncate(input.replace(/[^a-z0-9+]+/gi, ''));
}
exports.clean = clean;
function truncate(input) {
    return input.length <= 64 ? input : input.substr(0, 32) + md5(input);
}
exports.truncate = truncate;
function policyScale(service, table, read, index, stage) {
    return clean(util.format('%sTable%sScalingPolicy-%s%s%s', service, read ? 'Read' : 'Write', table, index || '', stage || ''));
}
exports.policyScale = policyScale;
function policyRole(service, table, index, stage) {
    return clean(util.format('%sDynamoDBAutoscalePolicy-%s%s%s', service, table, index || '', stage || ''));
}
exports.policyRole = policyRole;
function dimension(read, index) {
    return util.format('dynamodb:%s:%sCapacityUnits', index ? 'index' : 'table', read ? 'Read' : 'Write');
}
exports.dimension = dimension;
function target(service, table, read, index, stage) {
    return clean(util.format('%sAutoScalingTarget%s-%s%s%s', service, read ? 'Read' : 'Write', table, index || '', stage || ''));
}
exports.target = target;
function metric(read) {
    return clean(util.format('DynamoDB%sCapacityUtilization', read ? 'Read' : 'Write'));
}
exports.metric = metric;
function role(service, table, index, stage) {
    return clean(util.format('%sDynamoDBAutoscaleRole-%s%s%s', service, table, index || '', stage || ''));
}
exports.role = role;
//# sourceMappingURL=names.js.map